<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.protocol.ProtocolOutput (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.protocol.ProtocolOutput (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/class-use/ProtocolOutput.html" target="_top">Frames</a></li>
<li><a href="ProtocolOutput.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.protocol.ProtocolOutput" class="title">Uses of Class<br>org.apache.nutch.protocol.ProtocolOutput</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol">org.apache.nutch.protocol</a></td>
<td class="colLast">
<div class="block">Classes related to the <a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol"><code>Protocol</code></a> interface,
 see also <a href="../../../../../org/apache/nutch/net/protocols/package-summary.html"><code>org.apache.nutch.net.protocols</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.file">org.apache.nutch.protocol.file</a></td>
<td class="colLast">
<div class="block">Protocol plugin which supports retrieving local file resources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp</a></td>
<td class="colLast">
<div class="block">Protocol plugin which supports retrieving documents via the ftp protocol.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.http.api">org.apache.nutch.protocol.http.api</a></td>
<td class="colLast">
<div class="block">Common API used by HTTP plugins (<a href="../../../../../org/apache/nutch/protocol/http/package-summary.html"><code>http</code></a>,
<a href="../../../../../org/apache/nutch/protocol/httpclient/package-summary.html"><code>httpclient</code></a>)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.util">org.apache.nutch.util</a></td>
<td class="colLast">
<div class="block">Miscellaneous utility classes.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.protocol">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a> in <a href="../../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a> that return <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></code></td>
<td class="colLast"><span class="typeNameLabel">Protocol.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/Protocol.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>
<div class="block">Returns the <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> for a fetchlist entry.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.file">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a> in <a href="../../../../../org/apache/nutch/protocol/file/package-summary.html">org.apache.nutch.protocol.file</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/protocol/file/package-summary.html">org.apache.nutch.protocol.file</a> that return <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></code></td>
<td class="colLast"><span class="typeNameLabel">File.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/file/File.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>
<div class="block">Creates a <a href="../../../../../org/apache/nutch/protocol/file/FileResponse.html" title="class in org.apache.nutch.protocol.file"><code>FileResponse</code></a> object corresponding to the url and return a
 <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol"><code>ProtocolOutput</code></a> object as per the content received</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ftp">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a> in <a href="../../../../../org/apache/nutch/protocol/ftp/package-summary.html">org.apache.nutch.protocol.ftp</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/protocol/ftp/package-summary.html">org.apache.nutch.protocol.ftp</a> that return <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></code></td>
<td class="colLast"><span class="typeNameLabel">Ftp.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>
<div class="block">Creates a <a href="../../../../../org/apache/nutch/protocol/ftp/FtpResponse.html" title="class in org.apache.nutch.protocol.ftp"><code>FtpResponse</code></a> object corresponding to the url and returns a
 <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol"><code>ProtocolOutput</code></a> object as per the content received</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.http.api">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a> in <a href="../../../../../org/apache/nutch/protocol/http/api/package-summary.html">org.apache.nutch.protocol.http.api</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/protocol/http/api/package-summary.html">org.apache.nutch.protocol.http.api</a> that return <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></code></td>
<td class="colLast"><span class="typeNameLabel">HttpBase.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a> in <a href="../../../../../org/apache/nutch/util/package-summary.html">org.apache.nutch.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/util/package-summary.html">org.apache.nutch.util</a> that return <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></code></td>
<td class="colLast"><span class="typeNameLabel">AbstractChecker.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/util/AbstractChecker.html#getProtocolOutput-java.lang.String-org.apache.nutch.crawl.CrawlDatum-boolean-">getProtocolOutput</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                 boolean&nbsp;checkRobotsTxt)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/class-use/ProtocolOutput.html" target="_top">Frames</a></li>
<li><a href="ProtocolOutput.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
